Bug 477272 - Timidity loses connection with Jack randomly
Timidity loses connection with Jack randomly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: timidity++ (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-19 18:22 EST by Russell Miller
Modified: 2013-07-02 19:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:20:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Miller 2008-12-19 18:22:22 EST
Description of problem:

Setup like this:  rosegarden -> timidity -> jack -> alsa.  Jack being run through the jack audio connection kit (though that's just cosmetic, it does the exact same thing if run from the command line.  After about 12 hours of inactivity, timidity and jack stop playing nicely.  I have to restart jackd, then I have to restart timidity, and it all comes back up.

There are no error messages that I can understand, so I have no idea who is responsible or why.  I'm willing to use better debugging if someone can give me guidance as to what's needed.

Version-Release number of selected component (if applicable):

alsa-plugins-jack-1.0.18-1
jack-audio-connection-kit-0.109.2-3
timidity++-2.13.2-16

How reproducible:

Always

Steps to Reproduce:
1. Start the programs with the appropriate options (nothing out of the ordinary)
2. Wait.
3.
  
Actual results:

Stops working after a few hours.

Expected results:

Works indefinitely.

Additional info:
Comment 1 Hans de Goede 2008-12-20 04:19:09 EST
Hmm,

I have no idea where to start looking here, Fernando do you have any good ideas?
Comment 2 Russell Miller 2008-12-21 20:28:29 EST
I have more info.  It's definitely timidity.  Restarting just timidity makes it come back.  Timidity shows no errors when it happens.

Is there a debugging mode I can use?  I just tried --module=debug, it doesn't give me anything.
Comment 3 Bug Zapper 2009-11-18 05:31:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:20:48 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.